This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 12053 - No PAM support in CVS
No PAM support in CVS
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: cvs (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-10 13:03 EDT by Kenn Humborg
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-10 17:04:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenn Humborg 2000-06-10 13:03:20 EDT
I would be nice if CVS supported PAM.

In my setup, all password authentication is referred to our NT
domain controllers (via the pam_smb module).  Unfortunately,
cvs' pserver doesn't support this.
Comment 1 Nalin Dahyabhai 2000-07-10 16:06:12 EDT
Like Samba, the CVS protocol doesn't send an unencrypted
password (you can see this by cat'ing the contents of your
.cvspass file, which contains the data CVS sends).  This means
that support for PAM on the server wouldn't help much, as most
PAM modules require a plaintext password to be useful.

Note You need to log in before you can comment on or make changes to this bug.